%global framework kconfigwidgets
%global bootstrap 1

Summary: KDE Frameworks 5 Tier 3 addon for creating configuration dialogs
Name:    kf5-%{framework}
Version: 5.110.0
Release: 1%{?dist}

License: GPLv2+ and LGPLv2+ and MIT
URL:     https://invent.kde.org/frameworks/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz


BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-kauth-devel >= %{majmin}, kf5-kcodecs-devel >= %{majmin}, kf5-kconfig-devel >= %{majmin}
BuildRequires:  kf5-kcoreaddons-devel >= %{majmin}, kf5-kdoctools-devel >= %{majmin}, kf5-kguiaddons-devel >= %{majmin}
BuildRequires:  kf5-ki18n-devel >= %{majmin}, kf5-kwidgetsaddons-devel >= %{majmin}, kf5-rpm-macros

%if !0%{?bootstrap}
Requires:       plasma-breeze-common
%endif

BuildRequires:  qt5-qtbase-devel
BuildRequires:  cmake(Qt5UiPlugin)

%description
KConfigWidgets provides easy-to-use classes to create configuration dialogs, as
well as a set of widgets which uses KConfig to store their settings.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       kf5-kauth-devel >= %{majmin}
Requires:       kf5-kcodecs-devel >= %{majmin}
Requires:       kf5-kconfig-devel >= %{majmin}
Requires:       kf5-kwidgetsaddons-devel >= %{majmin}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --with-man --all-name

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5ConfigWidgets.so.*
## fixme: %%lang'ify these -- rex
%{_kf5_qtplugindir}/designer/*5widgets.so
%{_kf5_datadir}/qlogging-categories5/%{framework}*
%{_kf5_datadir}/locale/*/kf5_entry.desktop

%files devel
%{_kf5_bindir}/preparetips5

%{_kf5_includedir}/KConfigWidgets/
%{_kf5_libdir}/libKF5ConfigWidgets.so
%{_kf5_libdir}/cmake/KF5ConfigWidgets/
%{_kf5_archdatadir}/mkspecs/modules/qt_KConfigWidgets.pri
%{_kf5_mandir}/man1/preparetips5.1*

%changelog
* Mon Nov 20 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
